ENTRY(loader) /* Specify the entry point symbol for the linker */

SECTIONS {
  . = 0x00100000;      /* The code is to be loaded at 1 MB */

  .text ALIGN(0x1000) : {  /* Align the .text section to a 4 KB boundary */
    *(.text)               /* Include all text sections from all files */
  }

  .rodata ALIGN(0x1000) : { /* Align the .rodata section to a 4 KB boundary */
    *(.rodata*)           /* Include all read-only data sections from all files */
  }

  .data ALIGN(0x1000) : {   /* Align the .data section to a 4 KB boundary */
    *(.data)               /* Include all data sections from all files */
  }

  .bss ALIGN(0x1000) : {    /* Align the .bss section to a 4 KB boundary */
    *(COMMON)              /* Include all COMMON sections */
    *(.bss)                /* Include all bss sections from all files */
  }
}
