%include "asm_io.inc"

segment .data
    integer1 dd 15          ; first integer
    integer2 dd 6           ; second integer

segment .bss
    result resd 1           ; space for the result

segment .text
global asm_main

asm_main:
    pusha                    ; save all registers
    mov eax, [integer1]     ; load integer1 into eax
    add eax, [integer2]     ; add integer2 to eax
    mov [result], eax       ; store result
    call print_int          ; print result
    mov eax, 0              ; return 0 to the operating system
    popa                    ; restore all registers
    ret                      ; return from the function
