global loader                   ; the entry symbol for ELF

MAGIC_NUMBER equ 0x1BADB002     ; Multiboot magic number
FLAGS        equ 0x0            ; Multiboot flags
CHECKSUM     equ -MAGIC_NUMBER  ; Calculate checksum

section .text
align 4
    dd MAGIC_NUMBER             ; Multiboot header: magic number
    dd FLAGS                    ; Multiboot header: flags
    dd CHECKSUM                 ; Multiboot header: checksum

loader:                         ; Entry point
    mov eax, 0xCAFEBABE         ; Move 0xCAFEBABE into EAX

.loop:
    jmp .loop                   ; Infinite loop to halt execution
